GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Functions
slice_buffer.h File Reference
`#include <grpc/support/slice.h>`

Go to the source code of this file.

## Data Structures
struct | gpr_slice_buffer

## Macros
#define | GRPC_SLICE_BUFFER_INLINE_ELEMENTS 8

## Functions
void | gpr_slice_buffer_init (gpr_slice_buffer *sb)
void | gpr_slice_buffer_destroy (gpr_slice_buffer *sb)
void | gpr_slice_buffer_add (gpr_slice_buffer *sb, gpr_slice slice)
size_t | gpr_slice_buffer_add_indexed (gpr_slice_buffer *sb, gpr_slice slice)
void | gpr_slice_buffer_addn (gpr_slice_buffer *sb, gpr_slice *slices, size_t n)
gpr_uint8 * | gpr_slice_buffer_tiny_add (gpr_slice_buffer *sb, unsigned len)
void | gpr_slice_buffer_pop (gpr_slice_buffer *sb)
void | gpr_slice_buffer_reset_and_unref (gpr_slice_buffer *sb)
void | gpr_slice_buffer_swap (gpr_slice_buffer *a, gpr_slice_buffer *b)
void | gpr_slice_buffer_move_into (gpr_slice_buffer *src, gpr_slice_buffer *dst)

## Macro Definition Documentation

#define GRPC_SLICE_BUFFER_INLINE_ELEMENTS 8

## Function Documentation

void gpr_slice_buffer_add | ( | gpr_slice_buffer * | sb,
|  | gpr_slice | slice
| ) |  |

size_t gpr_slice_buffer_add_indexed | ( | gpr_slice_buffer * | sb,
|  | gpr_slice | slice
| ) |  |

void gpr_slice_buffer_addn | ( | gpr_slice_buffer * | sb,
|  | gpr_slice * | slices,
|  | size_t | n
| ) |  |

void gpr_slice_buffer_destroy | ( | gpr_slice_buffer * | sb | ) |

void gpr_slice_buffer_init | ( | gpr_slice_buffer * | sb | ) |

void gpr_slice_buffer_move_into | ( | gpr_slice_buffer * | src,
|  | gpr_slice_buffer * | dst
| ) |  |

void gpr_slice_buffer_pop | ( | gpr_slice_buffer * | sb | ) |

void gpr_slice_buffer_reset_and_unref | ( | gpr_slice_buffer * | sb | ) |

void gpr_slice_buffer_swap | ( | gpr_slice_buffer * | a,
|  | gpr_slice_buffer * | b
| ) |  |

gpr_uint8* gpr_slice_buffer_tiny_add | ( | gpr_slice_buffer * | sb,
|  | unsigned | len
| ) |  |